<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:33 UTC 2019 -->
<title>TrafficUpdater (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TrafficUpdater (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":9,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TrafficUpdater.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/guidance/TrafficNotificationInfo.Type.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/TrafficUpdater.html" target="_top">Frames</a></li>
<li><a href="TrafficUpdater.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.guidance</div>
<h2 title="Class TrafficUpdater" class="title">Class TrafficUpdater</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.guidance.TrafficUpdater</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">TrafficUpdater</span>
extends java.lang.Object</pre>
<div class="block">Controls traffic update requests.
 <p>
 By default, new traffic is automatically requested each time the map is moved (such as by
 panning, zooming, or with map movement during navigation). If the map is not moved, new traffic
 will be requested at a rate equal to the value set using the <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#setRefreshInterval-int-"><code>TrafficUpdater.setRefreshInterval(int)</code></a>
 method.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html" title="enum in com.here.android.mpa.guidance">TrafficUpdater.Error</a></span></code>
<div class="block">Traffic status errors</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static interface </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.GetEventsListener</a></span></code>
<div class="block">Interface for report TrafficUpdaters events.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Listener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.Listener</a></span></code>
<div class="block">Interface to report traffic status changes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance">TrafficUpdater.RequestInfo</a></span></code>
<div class="block">Holds the error code and request id from a request for traffic.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestState.html" title="enum in com.here.android.mpa.guidance">TrafficUpdater.RequestState</a></span></code>
<div class="block">Traffic status enumeration</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#cancelRequest-long-">cancelRequest</a></span>(long requestId)</code>
<div class="block">Cancels a currently pending request.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#clear--">clear</a></span>()</code>
<div class="block">Clear current traffic events.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#disableAutoUpdate--">disableAutoUpdate</a></span>()</code>
<div class="block">Disables automatic traffic information updates.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#enableUpdate-boolean-">enableUpdate</a></span>(boolean update)</code>
<div class="block">Enables or disables all traffic updates that were launched in manual mode.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#getEvents-java.util.List-com.here.android.mpa.guidance.TrafficUpdater.GetEventsListener-">getEvents</a></span>(java.util.List&lt;<a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing">RouteElement</a>&gt; elements,
         <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.GetEventsListener</a> listener)</code>
<div class="block">Gets a list of <a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.html" title="class in com.here.android.mpa.mapping"><code>TrafficEvent</code></a> objects that affect the given route elements.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#getEvents-com.here.android.mpa.routing.RouteElements-com.here.android.mpa.guidance.TrafficUpdater.GetEventsListener-">getEvents</a></span>(<a href="../../../../../com/here/android/mpa/routing/RouteElements.html" title="class in com.here.android.mpa.routing">RouteElements</a> elements,
         <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.GetEventsListener</a> listener)</code>
<div class="block">Gets a list of <a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.html" title="class in com.here.android.mpa.mapping"><code>TrafficEvent</code></a> objects that affect the given <a href="../../../../../com/here/android/mpa/routing/RouteElements.html" title="class in com.here.android.mpa.routing"><code>RouteElements</code></a>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#getEvents-com.here.android.mpa.routing.RouteElement-com.here.android.mpa.guidance.TrafficUpdater.GetEventsListener-">getEvents</a></span>(<a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing">RouteElement</a> element,
         <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.GetEventsListener</a> listener)</code>
<div class="block">Gets a list of <a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.html" title="class in com.here.android.mpa.mapping"><code>TrafficEvent</code></a> objects that affect the given route element.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#getEvents-com.here.android.mpa.routing.Route-com.here.android.mpa.guidance.TrafficUpdater.GetEventsListener-">getEvents</a></span>(<a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing">Route</a> route,
         <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.GetEventsListener</a> listener)</code>
<div class="block">Gets a list of <a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.html" title="class in com.here.android.mpa.mapping"><code>TrafficEvent</code></a> objects that affect the given route.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html" title="class in com.here.android.mpa.guidance">TrafficUpdater</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#getInstance--">getInstance</a></span>()</code>
<div class="block">Gets the <code>TrafficUpdater</code> instance.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#isAutoUpdateEnabled--">isAutoUpdateEnabled</a></span>()</code>
<div class="block">Returns a boolean indicating whether automatic traffic updates are enabled.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#isUpdateEnabled--">isUpdateEnabled</a></span>()</code>
<div class="block">Check to see if traffic updating is enabled.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance">TrafficUpdater.RequestInfo</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#request-com.here.android.mpa.common.GeoCoordinate-int-com.here.android.mpa.guidance.TrafficUpdater.Listener-">request</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> center,
       int radius,
       <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Listener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.Listener</a> listener)</code>
<div class="block">Request traffic with given center coordinates and radius.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance">TrafficUpdater.RequestInfo</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#request-com.here.android.mpa.common.GeoCoordinate-com.here.android.mpa.guidance.TrafficUpdater.Listener-">request</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> center,
       <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Listener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.Listener</a> listener)</code>
<div class="block">Request traffic with given center coordinates and the default radius (5km).</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance">TrafficUpdater.RequestInfo</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#request-com.here.android.mpa.routing.RouteElements-com.here.android.mpa.guidance.TrafficUpdater.Listener-">request</a></span>(<a href="../../../../../com/here/android/mpa/routing/RouteElements.html" title="class in com.here.android.mpa.routing">RouteElements</a> elements,
       <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Listener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.Listener</a> listener)</code>
<div class="block">Request traffic for a <a href="../../../../../com/here/android/mpa/routing/RouteElements.html" title="class in com.here.android.mpa.routing"><code>RouteElements</code></a> object.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance">TrafficUpdater.RequestInfo</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#request-com.here.android.mpa.routing.Route-int-com.here.android.mpa.guidance.TrafficUpdater.Listener-">request</a></span>(<a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing">Route</a> route,
       int radius,
       <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Listener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.Listener</a> listener)</code>
<div class="block">Request traffic for given route and radius around each waypoint.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance">TrafficUpdater.RequestInfo</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#request-com.here.android.mpa.routing.Route-com.here.android.mpa.guidance.TrafficUpdater.Listener-">request</a></span>(<a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing">Route</a> route,
       <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Listener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.Listener</a> listener)</code>
<div class="block">Request traffic for given route with a default radius (5km) around each waypoint.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#setRefreshInterval-int-">setRefreshInterval</a></span>(int refreshInterval)</code>
<div class="block">Sets the interval at which traffic data is refreshed.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html" title="class in com.here.android.mpa.guidance">TrafficUpdater</a> getInstance()</pre>
<div class="block">Gets the <code>TrafficUpdater</code> instance.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>TrafficUpdater</code> instance.</dd>
</dl>
</li>
</ul>
<a name="setRefreshInterval-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRefreshInterval</h4>
<pre>public boolean setRefreshInterval(int refreshInterval)</pre>
<div class="block">Sets the interval at which traffic data is refreshed.
 <p>
 This method MUST be called before the HERE SDK uses any traffic in the current app session -
 e.g. before any other TrafficUpdater methods are called, before traffic is enabled on a Map
 View and before routing with traffic is performed. If this method is called too late then
 false will be returned.
 </p>
 <p>
 Traffic refresh interval defaults to a value determined by the HERE traffic servers. This is
 typically every 60 seconds.
 </p>

 NOTE: Refresh interval not applicable when traffic is initialized in manual mode,
 e.g. when calling <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#disableAutoUpdate--"><code>TrafficUpdater.disableAutoUpdate()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>refreshInterval</code> - Refresh interval in seconds. Must be within the range 60..300.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>refreshInterval True the interval was set successfully, NO if traffic is already
 initialized or if refreshInterval is outside the valid range.</dd>
</dl>
</li>
</ul>
<a name="disableAutoUpdate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>disableAutoUpdate</h4>
<pre>public boolean disableAutoUpdate()</pre>
<div class="block">Disables automatic traffic information updates.
 <p>
 To implement custom traffic updates in an app, use this method to turn off automatic
 updating, then call
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#request-com.here.android.mpa.common.GeoCoordinate-int-com.here.android.mpa.guidance.TrafficUpdater.Listener-"><code>TrafficUpdater.request(GeoCoordinate, int, TrafficUpdater.Listener)</code></a>
 as needed to request traffic in a radius around a given location.
 </p>
 <p>
 This method MUST be called before the HERE SDK uses any traffic in the current app session -
 e.g. before any other TrafficUpdater methods are called, before traffic is enabled on a Map
 View and before routing with traffic is performed. If this method is called too late then
 false will be returned.
 </p>

 NOTE: Once traffic engine starts with either auto or manual, user can not change it back.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True whether operation was successful.</dd>
</dl>
</li>
</ul>
<a name="isAutoUpdateEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAutoUpdateEnabled</h4>
<pre>public boolean isAutoUpdateEnabled()</pre>
<div class="block">Returns a boolean indicating whether automatic traffic updates are enabled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if traffic updates are requested automatically, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>public void clear()</pre>
<div class="block">Clear current traffic events.</div>
</li>
</ul>
<a name="enableUpdate-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enableUpdate</h4>
<pre>public void enableUpdate(boolean update)</pre>
<div class="block">Enables or disables all traffic updates that were launched in manual mode. This method is
 called internally after <a href="../../../../../com/here/android/mpa/mapping/Map.html#setTrafficInfoVisible-boolean-"><code>Map.setTrafficInfoVisible(boolean)</code></a> is called. If this is set to
 <code>false</code>, all next manual traffic requests
 (e.g. <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#request-com.here.android.mpa.routing.Route-com.here.android.mpa.guidance.TrafficUpdater.Listener-"><code>TrafficUpdater.request(Route, Listener)</code></a>) will be ignored.

 <p>
 It is also possible to cancel particular manual request using
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#cancelRequest-long-"><code>TrafficUpdater.cancelRequest(long)</code></a>.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>update</code> - True if manual traffic updates are enabled. False otherwise.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#request-com.here.android.mpa.routing.Route-com.here.android.mpa.guidance.TrafficUpdater.Listener-"><code>TrafficUpdater.request(Route, Listener)</code></a>, 
<a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#request-com.here.android.mpa.common.GeoCoordinate-int-com.here.android.mpa.guidance.TrafficUpdater.Listener-"><code>TrafficUpdater.request(GeoCoordinate, int, Listener)</code></a></dd>
</dl>
</li>
</ul>
<a name="isUpdateEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUpdateEnabled</h4>
<pre>public boolean isUpdateEnabled()</pre>
<div class="block">Check to see if traffic updating is enabled. If it is not, no calls to any request traffic
 functions will have any effect.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if traffic updating is enabled. <code>false</code> otherwise.</dd>
</dl>
</li>
</ul>
<a name="request-com.here.android.mpa.common.GeoCoordinate-com.here.android.mpa.guidance.TrafficUpdater.Listener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>request</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance">TrafficUpdater.RequestInfo</a> request(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> center,
                                          <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Listener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.Listener</a> listener)</pre>
<div class="block">Request traffic with given center coordinates and the default radius (5km).

 <p>Developer must enable manual traffic updates using
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#enableUpdate-boolean-"><code>TrafficUpdater.enableUpdate(boolean)</code></a> before calling this method.</p><p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>center</code> - Center coordinate where traffic updates are requested.</dd>
<dd><code>listener</code> - Listener that will notified when request completes.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance"><code>TrafficUpdater.RequestInfo</code></a> containing the error code of the request and a request id if
         the error is <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html#NONE"><code>TrafficUpdater.Error.NONE</code></a>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#enableUpdate-boolean-"><code>TrafficUpdater.enableUpdate(boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="request-com.here.android.mpa.common.GeoCoordinate-int-com.here.android.mpa.guidance.TrafficUpdater.Listener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>request</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance">TrafficUpdater.RequestInfo</a> request(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> center,
                                          int radius,
                                          <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Listener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.Listener</a> listener)</pre>
<div class="block">Request traffic with given center coordinates and radius.
 Using a radius greater than 10km can impact performance.

 <p>Developer must enable manual traffic updates using
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#enableUpdate-boolean-"><code>TrafficUpdater.enableUpdate(boolean)</code></a> before calling this method.</p><p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>center</code> - Center coordinate where traffic updates are requested.</dd>
<dd><code>radius</code> - Distance (in km) of the request radius.</dd>
<dd><code>listener</code> - Listener that will notified when request completes.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance"><code>TrafficUpdater.RequestInfo</code></a> containing the error code of the request and a request id if
         the error is <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html#NONE"><code>TrafficUpdater.Error.NONE</code></a>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#enableUpdate-boolean-"><code>TrafficUpdater.enableUpdate(boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="request-com.here.android.mpa.routing.Route-com.here.android.mpa.guidance.TrafficUpdater.Listener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>request</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance">TrafficUpdater.RequestInfo</a> request(<a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing">Route</a> route,
                                          <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Listener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.Listener</a> listener)</pre>
<div class="block">Request traffic for given route with a default radius (5km) around each waypoint.

<p>Developer must enable manual traffic updates using
<a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#enableUpdate-boolean-"><code>TrafficUpdater.enableUpdate(boolean)</code></a> before calling this method.</p><p></p>

 <p>
 NOTE: Truck routes and public transport timetable routes are unsupported. <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance"><code>TrafficUpdater.RequestInfo</code></a>
 will return <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html#UNSUPPORTED_ROUTE_MODE"><code>TrafficUpdater.Error.UNSUPPORTED_ROUTE_MODE</code></a>.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>route</code> - Route used to query traffic events.</dd>
<dd><code>listener</code> - Listener that will notified when request completes.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance"><code>TrafficUpdater.RequestInfo</code></a> containing the error code of the request and a request id if
         the error is <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html#NONE"><code>TrafficUpdater.Error.NONE</code></a>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#enableUpdate-boolean-"><code>TrafficUpdater.enableUpdate(boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="request-com.here.android.mpa.routing.Route-int-com.here.android.mpa.guidance.TrafficUpdater.Listener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>request</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance">TrafficUpdater.RequestInfo</a> request(<a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing">Route</a> route,
                                          int radius,
                                          <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Listener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.Listener</a> listener)</pre>
<div class="block">Request traffic for given route and radius around each waypoint.

 <p>Developer must enable manual traffic updates using
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#enableUpdate-boolean-"><code>TrafficUpdater.enableUpdate(boolean)</code></a> before calling this method.</p><p></p>

 <p>
 NOTE: Truck routes and public transport timetable routes are unsupported. <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance"><code>TrafficUpdater.RequestInfo</code></a>
 will return <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html#UNSUPPORTED_ROUTE_MODE"><code>TrafficUpdater.Error.UNSUPPORTED_ROUTE_MODE</code></a>.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>route</code> - Route used to query traffic events.</dd>
<dd><code>radius</code> - Distance (in km) of the request radius.</dd>
<dd><code>listener</code> - Listener that will notified when request completes.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance"><code>TrafficUpdater.RequestInfo</code></a> containing the error code of the request and a request id if
         the error is <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html#NONE"><code>TrafficUpdater.Error.NONE</code></a>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#enableUpdate-boolean-"><code>TrafficUpdater.enableUpdate(boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="request-com.here.android.mpa.routing.RouteElements-com.here.android.mpa.guidance.TrafficUpdater.Listener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>request</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance">TrafficUpdater.RequestInfo</a> request(<a href="../../../../../com/here/android/mpa/routing/RouteElements.html" title="class in com.here.android.mpa.routing">RouteElements</a> elements,
                                          <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Listener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.Listener</a> listener)</pre>
<div class="block">Request traffic for a <a href="../../../../../com/here/android/mpa/routing/RouteElements.html" title="class in com.here.android.mpa.routing"><code>RouteElements</code></a> object.

 <p>Developer must enable manual traffic updates using
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#enableUpdate-boolean-"><code>TrafficUpdater.enableUpdate(boolean)</code></a> before calling this method.</p><p></p>

 <p>
 NOTE: Truck route elements and public transport timetable route elements are unsupported.
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance"><code>TrafficUpdater.RequestInfo</code></a> will return <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html#UNSUPPORTED_ROUTE_MODE"><code>TrafficUpdater.Error.UNSUPPORTED_ROUTE_MODE</code></a>.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>elements</code> - The <code>RouteElements</code> object to request traffic on.</dd>
<dd><code>listener</code> - Listener that will notified when request completes.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance"><code>TrafficUpdater.RequestInfo</code></a> containing the error code of the request and a request id if
         the error is <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html#NONE"><code>TrafficUpdater.Error.NONE</code></a>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#enableUpdate-boolean-"><code>TrafficUpdater.enableUpdate(boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="cancelRequest-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancelRequest</h4>
<pre>public void cancelRequest(long requestId)</pre>
<div class="block">Cancels a currently pending request.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>requestId</code> - The request ID to cancel. Can be obtained from the
            <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html#getRequestId--"><code>TrafficUpdater.RequestInfo.getRequestId()</code></a> returned in the original request.</dd>
</dl>
</li>
</ul>
<a name="getEvents-com.here.android.mpa.routing.Route-com.here.android.mpa.guidance.TrafficUpdater.GetEventsListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEvents</h4>
<pre>public void getEvents(<a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing">Route</a> route,
                      <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.GetEventsListener</a> listener)</pre>
<div class="block">Gets a list of <a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.html" title="class in com.here.android.mpa.mapping"><code>TrafficEvent</code></a> objects that affect the given route. It's a good idea to
 call <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#request-com.here.android.mpa.routing.Route-com.here.android.mpa.guidance.TrafficUpdater.Listener-"><code>TrafficUpdater.request(Route, TrafficUpdater.Listener)</code></a> prior to making this call.
 <p>

 NOTE: Truck routes and public transit timetable routes are unsupported.
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance"><code>TrafficUpdater.GetEventsListener</code></a> will return with error
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html#UNSUPPORTED_ROUTE_MODE"><code>TrafficUpdater.Error.UNSUPPORTED_ROUTE_MODE</code></a>.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>route</code> - The <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a> to check for traffic events.</dd>
<dd><code>listener</code> - The listener which will receive the list of <code>TrafficEvent</code>s.</dd>
</dl>
</li>
</ul>
<a name="getEvents-com.here.android.mpa.routing.RouteElement-com.here.android.mpa.guidance.TrafficUpdater.GetEventsListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEvents</h4>
<pre>public void getEvents(<a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing">RouteElement</a> element,
                      <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.GetEventsListener</a> listener)</pre>
<div class="block">Gets a list of <a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.html" title="class in com.here.android.mpa.mapping"><code>TrafficEvent</code></a> objects that affect the given route element. It's a good
 idea to call <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#request-com.here.android.mpa.routing.Route-com.here.android.mpa.guidance.TrafficUpdater.Listener-"><code>TrafficUpdater.request(Route, TrafficUpdater.Listener)</code></a> prior to making this call.
 <p>

 NOTE: Truck routes and public transit timetable routes are unsupported.
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance"><code>TrafficUpdater.GetEventsListener</code></a> will return with error
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html#UNSUPPORTED_ROUTE_MODE"><code>TrafficUpdater.Error.UNSUPPORTED_ROUTE_MODE</code></a>.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - The <a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing"><code>RouteElement</code></a> to check for traffic events.</dd>
<dd><code>listener</code> - The listener which will receive the list of <code>TrafficEvent</code>s.</dd>
</dl>
</li>
</ul>
<a name="getEvents-java.util.List-com.here.android.mpa.guidance.TrafficUpdater.GetEventsListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEvents</h4>
<pre>public void getEvents(java.util.List&lt;<a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing">RouteElement</a>&gt; elements,
                      <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.GetEventsListener</a> listener)</pre>
<div class="block">Gets a list of <a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.html" title="class in com.here.android.mpa.mapping"><code>TrafficEvent</code></a> objects that affect the given route elements. It's a good
 idea to call <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#request-com.here.android.mpa.routing.RouteElements-com.here.android.mpa.guidance.TrafficUpdater.Listener-"><code>TrafficUpdater.request(RouteElements, TrafficUpdater.Listener)</code></a> prior to making this call.
 <p>

 NOTE: Truck routes and public transport timetable routes are unsupported.
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance"><code>TrafficUpdater.GetEventsListener</code></a> will return with error
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html#UNSUPPORTED_ROUTE_MODE"><code>TrafficUpdater.Error.UNSUPPORTED_ROUTE_MODE</code></a>.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>elements</code> - The list of <a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing"><code>RouteElement</code></a> objects to check for traffic events.</dd>
<dd><code>listener</code> - The listener which will receive the list of <code>TrafficEvent</code>s.</dd>
</dl>
</li>
</ul>
<a name="getEvents-com.here.android.mpa.routing.RouteElements-com.here.android.mpa.guidance.TrafficUpdater.GetEventsListener-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getEvents</h4>
<pre>public void getEvents(<a href="../../../../../com/here/android/mpa/routing/RouteElements.html" title="class in com.here.android.mpa.routing">RouteElements</a> elements,
                      <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance">TrafficUpdater.GetEventsListener</a> listener)</pre>
<div class="block">Gets a list of <a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.html" title="class in com.here.android.mpa.mapping"><code>TrafficEvent</code></a> objects that affect the given <a href="../../../../../com/here/android/mpa/routing/RouteElements.html" title="class in com.here.android.mpa.routing"><code>RouteElements</code></a>. It's
 a good idea to call <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html#request-com.here.android.mpa.routing.RouteElements-com.here.android.mpa.guidance.TrafficUpdater.Listener-"><code>TrafficUpdater.request(RouteElements, TrafficUpdater.Listener)</code></a> prior to making this call.
 <p>

 NOTE: Truck routes and public transport timetable routes are unsupported.
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance"><code>TrafficUpdater.GetEventsListener</code></a> will return with error
 <a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html#UNSUPPORTED_ROUTE_MODE"><code>TrafficUpdater.Error.UNSUPPORTED_ROUTE_MODE</code></a>.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>elements</code> - The <code>RouteElements</code> to check for traffic events.</dd>
<dd><code>listener</code> - The listener which will receive the list of <code>TrafficEvent</code>s.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TrafficUpdater.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/guidance/TrafficNotificationInfo.Type.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/TrafficUpdater.html" target="_top">Frames</a></li>
<li><a href="TrafficUpdater.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
